Index: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RWorkspace.java
===================================================================
--- tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RWorkspace.java	(revision 768)
+++ tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RWorkspace.java	(revision 769)
@@ -184,7 +184,7 @@
 		try {
 			Log.info(RCoreMessages.bind(RCoreMessages.info_connectingToRAt, host, port));
 			connection = new RConnection(host, port);
-			//connection.setStringEncoding("UTF-8");
+			connection.setStringEncoding("utf8"); // mandatory !
 
 			return isConnected();
 		} catch (RserveException x) {
@@ -207,6 +207,7 @@
 			Log.info(RCoreMessages.bind(RCoreMessages.info_connectingToRAtWithUser, new Object[] {host, port, user}));
 			connection = new RConnection(host, port);
 			connection.login(user, password);
+			connection.setStringEncoding("utf8"); // mandatory !
 			return isConnected();
 
 		} catch (RserveException x) {
Index: tmp/org.txm.rcp/icons/hide_computing_parameters.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: tmp/org.txm.rcp/icons/show_computing_parameters.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorToolBar.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorToolBar.java	(revision 768)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorToolBar.java	(revision 769)
@@ -165,10 +165,10 @@
 	 * @param toolBar
 	 * @param groupTitle
 	 * @param buttonToolTip
-	 * @param iconFilePath
+	 * @param openIconFilePath
 	 * @return the Group widget created
 	 */
-	public Group installGroup(String groupTitle, String buttonToolTip, String iconFilePath, boolean showGroup)	{
+	public Group installGroup(String groupTitle, String buttonToolTip, String openIconFilePath, String closeIconFilePath, boolean showGroup)	{
 
 		if (this.groups.containsKey(groupTitle)) {
 			return (Group) this.groups.get(groupTitle);
@@ -192,20 +192,20 @@
 
 
 		// add finally a button to the toolbar to show/hide the Group
-		
-		final OpenCloseButton showParameters = new OpenCloseButton(this, groupTitle, iconFilePath);
-//		if (iconFilePath != null)	{
-//			showParameters.setImage(IImageKeys.getImage(iconFilePath));
-//		}
-//		// if no icon specified, show the group title in the toolitem
-//		else	{
-//			showParameters.setText(groupTitle);
-//		}
-//
-//		if (buttonToolTip != null)	{
-//			showParameters.setToolTipText(buttonToolTip);
-//		}
 
+		final OpenCloseButton showParameters = new OpenCloseButton(this, groupTitle, openIconFilePath, closeIconFilePath);
+		//		if (iconFilePath != null)	{
+		//			showParameters.setImage(IImageKeys.getImage(iconFilePath));
+		//		}
+		//		// if no icon specified, show the group title in the toolitem
+		//		else	{
+		//			showParameters.setText(groupTitle);
+		//		}
+		//
+		//		if (buttonToolTip != null)	{
+		//			showParameters.setToolTipText(buttonToolTip);
+		//		}
+
 		this.setVisible(group, showParameters, showGroup); // default init
 
 		showParameters.addSelectionListener(new SelectionListener() {
@@ -223,41 +223,49 @@
 		this.buttons.put(groupTitle, showParameters);
 		return group;
 	}
-	
+
 	//failure of open/close decorator
 	public class OpenCloseButton {
-//		ToolItem sep;
+		//		ToolItem sep;
 		ToolItem showParameters;
-//		ControlDecoration openCloseDeco;
-		
-		public OpenCloseButton(TXMEditorToolBar toolbar, String groupTitle, String iconFilePath) {
-			 
-//			sep = new ToolItem(toolbar, SWT.SEPARATOR);
+		//		ControlDecoration openCloseDeco;
+		protected Image openIcon;
+		protected Image closeIcon;
+
+		public OpenCloseButton(TXMEditorToolBar toolbar, String groupTitle, String openIconFilePath, String closeIconFilePath) {
+
+			//			sep = new ToolItem(toolbar, SWT.SEPARATOR);
 			showParameters = new ToolItem(toolbar, SWT.CHECK);
-			if (iconFilePath != null) {
-				showParameters.setImage(IImageKeys.getImage(iconFilePath));
+			if (openIconFilePath != null) {
+				openIcon = IImageKeys.getImage(openIconFilePath);
+				showParameters.setImage(openIcon);
 				showParameters.setToolTipText(groupTitle);
+				if (closeIconFilePath != null) {
+					closeIcon = IImageKeys.getImage(closeIconFilePath);
+				}
 			} else {
 				showParameters.setText(groupTitle);
 			}
-			
-			
-			
-//			showParameters.pack();
-//			sep.setWidth (showParameters.getSize ().x);
-//			sep.setControl (showParameters);
-			
-//			openCloseDeco = new ControlDecoration(showParameters, SWT.RIGHT);
-//			openCloseDeco.setImage(IImageKeys.getImage(IImageKeys.CLOSE_DECORATOR));
+
+
+
+			//			showParameters.pack();
+			//			sep.setWidth (showParameters.getSize ().x);
+			//			sep.setControl (showParameters);
+
+			//			openCloseDeco = new ControlDecoration(showParameters, SWT.RIGHT);
+			//			openCloseDeco.setImage(IImageKeys.getImage(IImageKeys.CLOSE_DECORATOR));
 		}
 
 		public void setSelection(boolean visible) {
 			showParameters.setSelection(visible);
-//			if (visible) {
-//				openCloseDeco.setImage(IImageKeys.getImage(IImageKeys.CLOSE_DECORATOR));
-//			} else {
-//				openCloseDeco.setImage(IImageKeys.getImage(IImageKeys.OPEN_DECORATOR));
-//			}
+			if (closeIcon != null) {
+				if (visible) {
+					showParameters.setImage(closeIcon);
+				} else {
+					showParameters.setImage(openIcon);
+				}
+			}
 		}
 
 		public void addSelectionListener(SelectionListener selectionListener) {
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 768)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 769)
@@ -197,7 +197,10 @@
 			if(!this.getResult().canCompute() && this.getResult().isDirty())	{
 				showComputingParameters = true;
 			}
-			this.computingParametersGroup = this.topToolBar.installGroup(COMPUTING_PARAMETERS_GROUP_ID, "Show/Hide command parameters", "icons/show_computing_parameters.png", showComputingParameters);
+			this.computingParametersGroup = this.topToolBar.installGroup(COMPUTING_PARAMETERS_GROUP_ID, "Show/Hide command parameters", 
+					"icons/show_computing_parameters.png", 
+					"icons/hide_computing_parameters.png", 
+					showComputingParameters);
 
 
 			// display main area
Index: tmp/org.txm.ca.rcp/icons/ca.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: tmp/org.txm.chartsengine.rcp/icons/hide_rendering_parameters.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tmp/org.txm.chartsengine.rcp/icons/hide_rendering_parameters.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: tmp/org.txm.chartsengine.rcp/icons/show_rendering_parameters.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java	(revision 768)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java	(revision 769)
@@ -119,7 +119,10 @@
 
 		// Advanced tool bar
 		//this.advancedToolBarComposite = new Composite(parent, SWT.NONE);
-		Group group = this.topToolBar.installGroup("Rendering", "Show/Hide rendering parameters", "platform:/plugin/org.txm.chartsengine.rcp/icons/show_rendering_parameters.png", false);
+		Group group = this.topToolBar.installGroup("Rendering", "Show/Hide rendering parameters", 
+				"platform:/plugin/org.txm.chartsengine.rcp/icons/show_rendering_parameters.png", 
+				"platform:/plugin/org.txm.chartsengine.rcp/icons/hide_rendering_parameters.png",
+				false);
 		this.advancedChartToolBar = new AdvancedChartEditorToolBar(this, group, this.getParametersGroupsComposite(), SWT.FLAT);
 		//this.advancedChartToolBar.setBackground(parent.getDisplay().getSystemColor(SWT.COLOR_WHITE));
 //		this.advancedToolBarComposite.pack(true);
